Issue1647

classification
Title: zxJDBC does not handle NVARCHAR
Type: behaviour Severity: normal
Components: zxjdbc Versions: 2.5.2b1
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: otmarhumbel Nosy List: cru, otmarhumbel, zyasoft
Priority: high Keywords:

Created on 2010-08-24.00:13:18 by cru, last changed 2010-10-03.21:15:54 by otmarhumbel.

Files
File name Uploaded Description Edit Remove
1647patch.txt otmarhumbel, 2010-09-28.05:33:35 a patch containing a JUnit test, too
1647-2-patch.txt otmarhumbel, 2010-10-03.21:13:38 2nd patch
Messages
msg6007 (view) Author: stephen layland (cru) Date: 2010-08-24.00:13:16
For my purposes, all that's been necessary so far is the following one line change.

Index: src/com/ziclix/python/sql/DataHandler.java
===================================================================
--- src/com/ziclix/python/sql/DataHandler.java	(revision 7101)
+++ src/com/ziclix/python/sql/DataHandler.java	(working copy)
@@ -234,6 +234,7 @@
 
             case Types.CHAR:
             case Types.VARCHAR:
+            case Types.NVARCHAR:
                 String string = set.getString(col);
                 obj = string == null ? Py.None : Py.newUnicode(string);
                 break;
msg6035 (view) Author: Jim Baker (zyasoft) Date: 2010-09-03.16:41:41
Should fix before RC1
msg6087 (view) Author: Oti Humbel (otmarhumbel) Date: 2010-09-22.23:28:52
discussed at the Jython BOF, should be low risk to commit
msg6103 (view) Author: Oti Humbel (otmarhumbel) Date: 2010-09-28.05:36:29
fixed in revision 7127
msg6126 (view) Author: Oti Humbel (otmarhumbel) Date: 2010-10-03.20:53:04
Hudson shows us that the new Rowset Types are not yet supported (my fault).
I'll try to build them in.
msg6127 (view) Author: Oti Humbel (otmarhumbel) Date: 2010-10-03.21:13:37
A second patch, containing the new JDBC 4.0 Types.
They are only available on Java 6, so we need to emulate them.
msg6128 (view) Author: Oti Humbel (otmarhumbel) Date: 2010-10-03.21:15:54
Fixed in revision 7132.
History
Date User Action Args
2010-10-03 21:15:54otmarhumbelsetstatus: open -> closed
resolution: remind -> fixed
messages: + msg6128
2010-10-03 21:13:39otmarhumbelsetfiles: + 1647-2-patch.txt
messages: + msg6127
2010-10-03 20:53:05otmarhumbelsetstatus: closed -> open
resolution: fixed -> remind
messages: + msg6126
2010-09-28 05:36:29otmarhumbelsetstatus: open -> closed
resolution: fixed
messages: + msg6103
2010-09-28 05:33:38otmarhumbelsetfiles: + 1647patch.txt
2010-09-22 23:28:57otmarhumbelsetassignee: otmarhumbel
messages: + msg6087
nosy: + otmarhumbel
2010-09-03 16:41:41zyasoftsetpriority: high
nosy: + zyasoft
messages: + msg6035
2010-08-24 00:13:18crucreate